Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class UnboundedCache

    java.lang.Object
      oracle.ifs.common.Cache
          oracle.ifs.common.UnboundedCache

    public final class UnboundedCache

extends Cache

An UnboundedCache is a cache that grows as needed to hold as many items as are placed in the cache.

(Unpublished)

Field Summary
`protected long` | `m_HitCount` The number of cache hits.
`protected java.util.Hashtable` | `m_Items` The cache items.
`protected long` | `m_MissCount` The number of cache misses.
`protected long` | `m_PutCount` The number of cache puts.
`protected long` | `m_RemoveCount` The number of cache removes.

Fields inherited from class oracle.ifs.common.Cache
`m_Configuration`

Constructor Summary
`UnboundedCache(UnboundedCacheConfiguration configuration)` Constructs an unbounded cache.

Method Summary
`void` | `dispose()` Disposes this cache.
`java.lang.Object` | `find(java.lang.Object id)` Gets an item from this cache.
`CachePerformance` | `getCachePerformance()` Gets the performance information for this cache.
`java.util.Enumeration` | `getElements()` Gets Enumeration of items in this cache.
`void` | `put(java.lang.Object id, java.lang.Object value)` Puts an item in this cache.
`void` | `remove(java.lang.Object id)` Removes an item from this cache.
`void` | `reset()` Resets this cache.
`void` | `resetCachePerformance()` Resets the performance information for this cache.
`void` | `setCacheConfiguration(CacheConfiguration configuration)` Alters the configuration of this cache.

Methods inherited from class oracle.ifs.common.Cache
`getCacheConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Items

    protected java.util.Hashtable m_Items

  Description copied from class: `UnboundedCache`
  The cache items.

  (Unpublished)

### m_HitCount

    protected long m_HitCount

  Description copied from class: `UnboundedCache`
  The number of cache hits.

  (Unpublished)

### m_MissCount

    protected long m_MissCount

  Description copied from class: `UnboundedCache`
  The number of cache misses.

  (Unpublished)

### m_PutCount

    protected long m_PutCount

  Description copied from class: `UnboundedCache`
  The number of cache puts.

  (Unpublished)

### m_RemoveCount

    protected long m_RemoveCount

  Description copied from class: `UnboundedCache`
  The number of cache removes.

  (Unpublished)

Constructor Detail

### UnboundedCache

    public UnboundedCache(UnboundedCacheConfiguration configuration)

  Constructs an unbounded cache.

  Parameters:
    `configuration` - the configuration paramaters for the new cache
  (Unpublished)

Method Detail

### setCacheConfiguration

    public final void setCacheConfiguration(CacheConfiguration configuration)
                                     throws IfsException

  Description copied from class: `UnboundedCache`
  Alters the configuration of this cache.

  No configuration parameters of an UnboundedCache are updateable. Consequently, this method is a no-op.

  Specified by:
    `setCacheConfiguration` in class `Cache`
  Parameters:
    `configuration` - the configuration parameters
  Throws:
    `IfsException` - (IFS-10810) if the operation fails
  (Unpublished)

### put

    public final void put(java.lang.Object id,
                          java.lang.Object value)
                   throws IfsException

  Description copied from class: `UnboundedCache`
  Puts an item in this cache.

  Specified by:
    `put` in class `Cache`
  Parameters:
    `id` - the item id
    `value` - the item
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### remove

    public final void remove(java.lang.Object id)
                      throws IfsException

  Description copied from class: `UnboundedCache`
  Removes an item from this cache.

  Specified by:
    `remove` in class `Cache`
  Parameters:
    `id` - the item id
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getElements

    public final java.util.Enumeration getElements()
                                            throws IfsException

  Description copied from class: `UnboundedCache`
  Gets Enumeration of items in this cache.

  Overrides:
    `getElements` in class `Cache`
  Returns:
    the enumeration of items
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### find

    public final java.lang.Object find(java.lang.Object id)
                                throws IfsException

  Description copied from class: `UnboundedCache`
  Gets an item from this cache.

  Specified by:
    `find` in class `Cache`
  Parameters:
    `id` - the item id
  Returns:
    the item, or null if the item is not in this cache
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getCachePerformance

    public final CachePerformance getCachePerformance()

  Description copied from class: `UnboundedCache`
  Gets the performance information for this cache.

  Specified by:
    `getCachePerformance` in class `Cache`
  Returns:
    a cache performance object
  (Unpublished)

### resetCachePerformance

    public final void resetCachePerformance()

  Description copied from class: `UnboundedCache`
  Resets the performance information for this cache.

  Specified by:
    `resetCachePerformance` in class `Cache`
  (Unpublished)

### reset

    public void reset()

  Description copied from class: `UnboundedCache`
  Resets this cache.

  This causes the cache to be emptied and its performance information to be reset.

  Overrides:
    `reset` in class `Cache`
  (Unpublished)

### dispose

    public void dispose()

  Description copied from class: `UnboundedCache`
  Disposes this cache.

  After the cache is disposed, it is invalid to use this cache.

  Overrides:
    `dispose` in class `Cache`
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD